net.corda.node.driver

## Class PortAllocation.Incremental

- PortAllocation
- - net.corda.node.driver.PortAllocation.Incremental

- Enclosing class:
    PortAllocation

      public static class PortAllocation.Incremental
      extends PortAllocation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.node.driver.PortAllocation

      `PortAllocation.Incremental, PortAllocation.RandomFree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Incremental(int startingPort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.atomic.AtomicInteger` | `getPortCounter()`
    `int` | `nextPort()`

    - ### Methods inherited from class net.corda.node.driver.PortAllocation

      `nextHostAndPort, nextPort`

- - ### Constructor Detail

    - #### Incremental

          public Incremental(int startingPort)

  - ### Method Detail

    - #### getPortCounter

          public java.util.concurrent.atomic.AtomicInteger getPortCounter()

    - #### nextPort

          public int nextPort()